var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import * as fs from "fs";
import path from "path";
import { setupGulp } from "./setupGulp.js";
import { setupVue } from "./setupVue.js";
import { setupReact } from "./setupReact.js";
export const setupFrontend = (dir_1, _a) => __awaiter(void 0, [dir_1, _a], void 0, function* (dir, { frontendTech, projectName, useUmbraco }) {
    let directory = dir;
    if (useUmbraco) {
        directory = path.join(directory, projectName, "Frontend");
        if (!fs.existsSync(directory)) {
            console.log(`Creating frontend directory at ${dir}...\n`);
            fs.mkdirSync(directory);
        }
    }
    const value = frontendTech.toLowerCase();
    switch (value) {
        case "gulp":
            yield setupGulp(directory, projectName);
            break;
        case "vue":
            yield setupVue(directory, projectName);
            break;
        case "react":
            yield setupReact(directory, projectName);
            break;
        default:
            console.log("Framework not supported.");
            break;
    }
});
