var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { execSync } from "child_process";
import { copyFolderSync, replaceNamespace } from "../utils/utils.js";
import { fileURLToPath } from "url";
import path from "path";
export const setupGulp = (dir, name) => __awaiter(void 0, void 0, void 0, function* () {
    console.log(`Setup Gulp\n`);
    const __filename = fileURLToPath(import.meta.url);
    const __dirname = path.dirname(__filename);
    // Get the template of the gulp folder
    const gulpDir = path.join(__dirname, "..", "template/gulp");
    copyFolderSync(gulpDir, dir);
    // Update README.md to Node Version
    const filePath = path.join(dir, "README.md");
    replaceNamespace(filePath, `{{NODE_VERSION}}`, process.version.replace("v", "") || "");
    //go to all files and replace `{%NAMESPACE%}` with the project name in uppercase
    replaceNamespace(dir, `{%NAMESPACE%}`, name);
    // Install Gulp and dependencies
    try {
        execSync(`cd ${dir} && npm init -y`, { stdio: "inherit" });
        execSync(`cd ${dir} && npm install gulp --save-dev`, { stdio: "inherit" });
        execSync(`cd ${dir} && npm install --global gulp-cli`, { stdio: "inherit" });
        execSync(`cd ${dir} && npm install gulp-sass --save-dev`, { stdio: "inherit" });
        execSync(`cd ${dir} && npm install sass --save-dev`, { stdio: "inherit" });
        execSync(`cd ${dir} && npm install gulp-concat --save-dev`, { stdio: "inherit" });
        execSync(`cd ${dir} && npm install gulp-uglify --save-dev`, { stdio: "inherit" });
        execSync(`cd ${dir} && npm install gulp-clean-css --save-dev`, { stdio: "inherit" });
        execSync(`cd ${dir} && npm install gulp-sourcemaps --save-dev`, { stdio: "inherit" });
        execSync(`cd ${dir} && npm install gulp-autoprefixer --save-dev`, { stdio: "inherit" });
        execSync(`cd ${dir} && npm install gulp-sass-glob --save-dev`, { stdio: "inherit" });
        execSync(`cd ${dir} && npm install --save-dev gulp-babel @babel/core @babel/preset-env`, {
            stdio: "inherit",
        });
    }
    catch (error) {
        console.error(error);
    }
});
