var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { execSync } from "child_process";
import inquirer from "inquirer";
// Main function to ask questions and generate the command
export const setupReact = (dir, name) => __awaiter(void 0, void 0, void 0, function* () {
    console.log(`Setup React\n`);
    // Questions for the user
    const answers = yield inquirer.prompt([
        {
            type: "list",
            name: "type",
            message: "Do you want to use Next.js or standard React?",
            choices: ["Next.js", "Standard React"],
            default: "Standard React",
        },
    ]);
    // Build the base command for React setup
    let command = answers.type === "Next.js"
        ? `npx create-next-app ${name.toLowerCase()}`
        : `npx create-react-app ${name.toLowerCase()}`;
    // Execute the generated command
    console.log(`Executing: ${command}`);
    try {
        execSync(`cd ${dir} && ${command}`, { stdio: "inherit" });
        console.log("React project setup completed successfully!");
    }
    catch (error) {
        console.error("Error executing command:", error);
    }
});
