    # Frontend Setup

    This project uses Node.js version {{NODE_VERSION}}. To ensure compatibility, please use [nvm](https://github.com/nvm-sh/nvm) to manage your Node.js versions.

    ## Instructions

    1. Install nvm (Node Version Manager) if you haven't already. Follow the instructions [here](https://github.com/nvm-sh/nvm#installing-and-updating).

    2. Use nvm to install and use the correct Node.js version:

    ```sh
    nvm install {{NODE_VERSION}}
    nvm use {{NODE_VERSION}}
    ```

    3. Install the project dependencies:

    ```sh
    npm install
    ```

    ## Gulp Tasks

    Gulp is a toolkit that helps you automate painful or time-consuming tasks in your development workflow. Below are the main tasks defined in this project:

    #### Development Task

    The `dev` task is used during development. It watches for changes in your files and automatically rebuilds them.

    ```sh
    gulp dev
    ```

    #### Production Task

    The `production` task is used to build the project for production. It optimizes and minifies the files for better performance.

    ```sh
    gulp production
    ```

    #### Default Task

    The `default` task is the task that runs when you simply execute `gulp` without any arguments. It usually runs a series of predefined tasks.

    ```sh
    gulp
    ```
