import { execSync } from "child_process";
import inquirer from "inquirer";

// Main function to ask questions and generate the command
export const setupReact = async (dir: string, name: string): Promise<void> => {
  console.log(`Setup React\n`);

  // Questions for the user
  const answers = await inquirer.prompt([
    {
      type: "list",
      name: "type",
      message: "Do you want to use Next.js or standard React?",
      choices: ["Next.js", "Standard React"],
      default: "Standard React",
    },
  ]);

  // Build the base command for React setup
  let command =
    answers.type === "Next.js"
      ? `npx create-next-app ${name.toLowerCase()}`
      : `npx create-react-app ${name.toLowerCase()}`;

  // Execute the generated command
  console.log(`Executing: ${command}`);
  try {
    execSync(`cd ${dir} && ${command}`, { stdio: "inherit" });
    console.log("React project setup completed successfully!");
  } catch (error) {
    console.error("Error executing command:", error);
  }
};
