import { execSync } from "child_process";
import path from "path";

export const createSolutionFile = async (
  projectDir: string,
  umbracoDir: string,
  { projectName }: any
): Promise<void> => {
  const projectFile = path.join(umbracoDir, `${path.basename(umbracoDir)}.csproj`);
  console.log(`Creating solution file... ${projectName} \n`);
  try {
    execSync(`dotnet new sln -n ${projectName} -o "${projectDir}"`);
    execSync(`dotnet sln "${projectDir}/${projectName}.sln" add "${projectFile}"`);
  } catch (error) {
    console.error(`exec error: ${error}`);
  }
};
