import { execSync } from "child_process";

export const installDotNetSDK = async (): Promise<void> => {
  const scriptUrl = "https://dot.net/v1/dotnet-install.ps1";

  console.log("Checking if .NET SDK is already installed...\n");
  try {
    execSync("dotnet --version");
    console.log(".NET SDK is already installed.\n");
  } catch (error) {
    console.log("Downloading and installing .NET SDK using PowerShell...\n");
    try {
      execSync(
        `powershell -Command "Invoke-Expression (New-Object System.Net.WebClient).DownloadString('${scriptUrl}')"`
      );
      console.log(".NET SDK installation completed.\n");
    } catch (error) {
      console.error(`Error installing .NET SDK: ${error}`);
    }
  }
};
